Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

Search participants.

Search participants. An organization-scoped read using JSON filter arguments; requires participants.details.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/search_participants
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
claimstring
pagination_optsobjectrequired
Show properties
cursorstring | nullrequired
Show properties
Any of:
string
string
null
null
num_itemsintegerrequired
min 1 · max 100
progress_beforestring<date-time>
searchstring
statusstring
Responses
200

Successful read.

dataobjectrequired
Show properties
has_morebooleanrequired
next_cursorstring | nullrequired
Show properties
Any of:
string
string
null
null
rowsobject[]required
Show properties
Array of object
display_namestringrequired
household_claim_statusstring
Show properties
Any of:
string
string
string
string
household_namestring
idstringrequired

Opaque Soljio resource ID.

min length 1
latest_progressobject | nullrequired
Show properties
Any of:
null
null
object
completed_countnumberrequired
level_labelstringrequired
marked_atstring<date-time>required
total_countnumberrequired
pending_claim_expires_atstring<date-time>
statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/search_participants' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "claim": "string",
  "pagination_opts": {
    "cursor": "string",
    "num_items": 1
  },
  "progress_before": "2019-08-24T14:15:22Z",
  "search": "string",
  "status": "string"
}'
Response
{
  "data": {
    "has_more": true,
    "next_cursor": "string",
    "rows": [
      {
        "display_name": "string",
        "household_claim_status": "claimed",
        "household_name": "string",
        "id": "string",
        "latest_progress": {},
        "pending_claim_expires_at": "2019-08-24T14:15:22Z",
        "status": "active"
      }
    ]
  },
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}

Was this page helpful?